Categories:
  - Multimedia
License: GPL-3.0-only
AuthorName: OxygenCobalt
WebSite: https://github.com/OxygenCobalt/Auxio
SourceCode: https://github.com/OxygenCobalt/Auxio
IssueTracker: https://github.com/OxygenCobalt/Auxio/issues
Translation: https://github.com/OxygenCobalt/Auxio/issues/3
Changelog: https://github.com/OxygenCobalt/Auxio/releases

AutoName: Auxio

RepoType: git
Repo: https://github.com/OxygenCobalt/Auxio

Builds:
  - versionName: 1.4.0
    versionCode: 6
    commit: v1.4.0
    subdir: app
    gradle:
      - yes

  - versionName: 1.4.1
    versionCode: 7
    commit: cd0167405eeba492470632c508ab9150b0e068a1
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 1.4.2
    versionCode: 8
    commit: ad2c02936adfcef2132674994b16ef0314134247
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.0.1
    versionCode: 10
    commit: 2ff2cd8cf4be940c31eb2b9140de319760d8acda
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

  - versionName: 2.1.0
    versionCode: 11
    commit: 44c53d96f3dd7b316050e6c7a4062b1d50206a07
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    srclibs:
      - ExoPlayer-OxygenCobalt@0b6f927d831db3025072051ac2e04d544da3983a
      - FLAC@1.3.2
    build:
      - export FLAC_EXT_PATH="$$ExoPlayer-OxygenCobalt$$/extensions/flac/src/main"
      - pushd "${FLAC_EXT_PATH}/jni"
      - cp -r $$FLAC$$ ./flac
      - $$NDK$$/ndk-build APP_ABI=all -j4
      - cd "$$ExoPlayer-OxygenCobalt$$"
      - ./gradlew :extension-flac:bundleReleaseAar
      - ./gradlew :library-extractor:bundleReleaseAar
      - popd
      - mkdir libs
      - cp $$ExoPlayer-OxygenCobalt$$/library/extractor/buildout/outputs/aar/*.aar
        libs/
      - cp $$ExoPlayer-OxygenCobalt$$/extensions/flac/buildout/outputs/aar/*.aar libs/
    ndk: r21e

  - versionName: 2.2.1
    versionCode: 13
    commit: ddc64284556525084e298b62796f44bb6f917db2
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    srclibs:
      - ExoPlayer-OxygenCobalt@0b6f927d831db3025072051ac2e04d544da3983a
      - FLAC@1.3.2
    build:
      - export FLAC_EXT_PATH="$$ExoPlayer-OxygenCobalt$$/extensions/flac/src/main"
      - pushd "${FLAC_EXT_PATH}/jni"
      - cp -r $$FLAC$$ ./flac
      - $$NDK$$/ndk-build APP_ABI=all -j4
      - cd "$$ExoPlayer-OxygenCobalt$$"
      - ./gradlew :extension-flac:bundleReleaseAar
      - ./gradlew :library-extractor:bundleReleaseAar
      - popd
      - mkdir libs
      - cp $$ExoPlayer-OxygenCobalt$$/library/extractor/buildout/outputs/aar/*.aar
        libs/
      - cp $$ExoPlayer-OxygenCobalt$$/extensions/flac/buildout/outputs/aar/*.aar libs/
    ndk: r21e

AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 2.2.1
CurrentVersionCode: 13
